Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBaseAnnotations.TaskUpdate81x

Deprecated. Use TaskSetProperties instead

    @Deprecated
    @Retention(value=RUNTIME)
    @Target(value={METHOD,TYPE})
    public static @interface TaskBaseAnnotations.TaskUpdate81x

Backward compatibility for 81x use only. Causes the method attached to this annotation to update a task using the configuration values in this annotation.

See Also:
  `TaskBaseAnnotations.TaskSetProperties`

Required Element Summary
`TaskBaseAnnotations.Flag[]` | `setFlags` Deprecated. Flags indicating that a field in this annotation is set

Optional Element Summary
`String` | `canBeAborted` Deprecated.
`String` | `canBeReassigned` Deprecated.
`String` | `canBeReturned` Deprecated.
`TaskBaseAnnotations.DateTimeSpec` | `claimDueDate` Deprecated.
`String` | `comment` Deprecated.
`TaskBaseAnnotations.DateTimeSpec` | `completionDueDate` Deprecated. Override for any completion due date specification the task plan may have.
`String` | `name` Deprecated. The name to give to the newly created task.
`String` | `owner` Deprecated. Override for any owner specification the task plan may have.
`String` | `priority` Deprecated.
`String` | `request` Deprecated. Use task properties instead.
`String` | `requestMimeType` Deprecated. Use task properties instead.
`String` | `response` Deprecated. Use task properties instead.
`String` | `responseMimeType` Deprecated. Use task properties instead.

Element Detail

### setFlags

    public abstract TaskBaseAnnotations.Flag[] setFlags

  Deprecated.
  Flags indicating that a field in this annotation is set

### name

    public abstract String name

  Deprecated.
  The name to give to the newly created task.

  Default:
    ""

### comment

    public abstract String comment

  Deprecated.
  Default:
    ""

### priority

    public abstract String priority

  Deprecated.
  Default:
    "1"

### owner

    public abstract String owner

  Deprecated.
  Override for any owner specification the task plan may have.

  Default:
    ""

### completionDueDate

    public abstract TaskBaseAnnotations.DateTimeSpec completionDueDate

  Deprecated.
  Override for any completion due date specification the task plan may have. It is an absolute or business date by which this task must be completed.

  Default:
    @com.bea.control.TaskBaseAnnotations.DateTimeSpec

### claimDueDate

    @Deprecated
    public abstract TaskBaseAnnotations.DateTimeSpec claimDueDate

  Deprecated.

  Claim due date specification for 81x compatibility. Note that this feature is removed in 9.0. To get the same behavior you can define a task plan with a ‘claim’ step, and set the completion due date for that step.

  Default:
    @com.bea.control.TaskBaseAnnotations.DateTimeSpec

### canBeReassigned

    @Deprecated
    public abstract String canBeReassigned

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be reassigned (by the claimant) to another user.

  Default:
    "true"

### canBeReturned

    @Deprecated
    public abstract String canBeReturned

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be returned (by the claimant) to the assigned state from the claimed or started state.

  Default:
    "true"

### canBeAborted

    @Deprecated
    public abstract String canBeAborted

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be aborted (by the claimant) from the claimed or started state.

  Default:
    "true"

### requestMimeType

    @Deprecated
    public abstract String requestMimeType

  Deprecated. Use task properties instead.

  Compatibility for 81x only.

  Default:
    ""

### request

    @Deprecated
    public abstract String request

  Deprecated. Use task properties instead.

  Compatibility for 81x only.

  Default:
    ""

### responseMimeType

    @Deprecated
    public abstract String responseMimeType

  Deprecated. Use task properties instead.

  Compatibility for 81x only.

  Default:
    ""

### response

    @Deprecated
    public abstract String response

  Deprecated. Use task properties instead.

  Compatibility for 81x only.

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT